<html lang="zh">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>会员zdmsl<{if $login.state == "dl"}>登录zdmsl<{/if}>zdmsl<{if $login.state == "zc"}>注册zdmsl<{/if}>zdmsl<{if $login.state == "wj"}>修改密码zdmsl<{/if}> - zdmsl<{$dada.sitename}></title>
  <meta content="always" name="referrer">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="stylesheet" href="zdmsl<{$dada.siteurl}>zdmsl_templets/member/css/bootstrap.min.css">
  <link rel="stylesheet" href="zdmsl<{$dada.siteurl}>zdmsl_templets/member/css/style.default.css">
  <link rel="stylesheet" href="zdmsl<{$dada.siteurl}>zdmsl_templets/member/css/message.css">
  <script src="zdmsl<{$dada.siteurl}>zdmsl_templets/member/js/message.min.js"></script>
  <script src="zdmsl<{$dada.siteurl}>zdmsl_templets/member/js/jquery.min.js"></script>
</head>
<body>
<div class="page login-page">
  <div class="container d-flex align-items-center">
    <div class="form-holder has-shadow">
      <div class="row">
        <div class="col-lg-6">
          <div class="info d-flex align-items-center">
            <div class="content">
              <div class="logo">
                <h1>zdmsl<{if $login.state == "dl"}>欢迎登录zdmsl<{/if}>zdmsl<{if $login.state == "zc"}>欢迎注册zdmsl<{/if}>zdmsl<{if $login.state == "wj"}>修改会员密码zdmsl<{/if}></h1>
              </div>
              <p>zdmsl<{$dada.sitename}></p>
            </div>
          </div>
        </div>
        <div class="col-lg-6 bg-white">
          <div class="form d-flex align-items-center">
            <div class="content">
              <div class="nr-center">
                <a href="zdmsl<{$dada.siteurl}>" title="zdmsl<{$dada.seoname}>">
                  <img src="zdmsl<{$dada.siteurl}>zdmsl_templets/images/logo.png" loading="lazy" alt="zdmsl<{$dada.seoname}>">
                </a>
              </div>
              <div class="form-group">
                <input type="text" name="username" required="required" placeholder='zdmsl<{if $dada.mailzckg == "1" && $login.state == "zc" }>邮箱zdmsl<{else}>用户名/邮箱zdmsl<{/if}>' class="input-material">
              </div>
              <div class="form-group">
                <input type="password" name="password" required="required" placeholder="zdmsl<{if $login.state == 'wj'}>新密码zdmsl<{else}>密码zdmsl<{/if}>" class="input-material">
              </div>
              zdmsl<{if $login.state == "dl" }>
              <div class="form-group" style="display: none;">
                zdmsl<{else}>
                <div class="form-group">
                  zdmsl<{/if}>
                  <input type="password" name="password2" required="required" placeholder="zdmsl<{if $login.state == 'wj'}>确认新密码zdmsl<{else}>确认密码zdmsl<{/if}>" class="input-material">
                </div>
                <div class="form-group">
                  <label>
                    <input type="text" name="yanzheng" required="required" autocomplete="off" placeholder="验证码" class="input-material">
                  </label>
                  zdmsl<{if $dada.mailzckg == "1" && ($login.state == "zc" || $login.state == "wj") }>
                  <input class="btn btn-primary" type="button" value="获取邮箱验证码" onclick="mail_get()">
                  zdmsl<{else}>
                  <a id="yanzhengma" onclick="document.getElementById('img_yz').src='zdmsl<{$dada.siteurl}>zdmsl_dada/yanzheng.php'"><img id="img_yz" src="zdmsl<{$dada.siteurl}>zdmsl_dada/yanzheng.php" alt="验证码"></a>
                  zdmsl<{/if}>
                </div>
                <input class="btn btn-primary" style="float: right;" type="button" name="submit" value="zdmsl<{if $login.state == 'dl'}>登录zdmsl<{/if}>zdmsl<{if $login.state == 'zc'}>立即注册zdmsl<{/if}>zdmsl<{if $login.state == 'wj'}>立即修改zdmsl<{/if}>" onclick="login_get()">
                zdmsl<{if $login.state == "zc"}>
                <small>已注册过了? 去</small>
                <a href="login.html" class="signup">登录</a>
                zdmsl<{else}>
                zdmsl<{if $login.state !== "wj"}>
                <a href="login.html?wj" class="signup">忘记密码？</a>
                zdmsl<{/if}>
                <small>还没有账号? 来</small>
                <a href="login.html?zc" class="signup">注册</a>
                zdmsl<{/if}>
                zdmsl<{if $login.login_url}>
                <br>
                <a href="zdmsl<{$login.login_url}>" class="signup">返回上一页</a>
                zdmsl<{/if}>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script>
    function login_get(url){
      var message_configs = {};
      var a1 = document.getElementsByName("username")[0].value.trim();
      var b2 = document.getElementsByName("password")[0].value.trim();
      var c3 = document.getElementsByName("password2")[0].value.trim();
      var d4 = document.getElementsByName("yanzheng")[0].value.trim();
      var e5 = document.getElementsByName("submit")[0].value.trim();
      if (!a1) {
        Qmsg.info("请输入用户名或邮箱...", message_configs);
        return;
      } else
        if (!b2) {
          Qmsg.info("请输入密码...", message_configs);
          return;
        } else
          if (!d4) {
            Qmsg.info("请输入验证码...", message_configs);
            return;
          }
      var abcd = a1 + b2 + c3;
      if (/\s/.test(abcd)) {
        Qmsg.error("请不要带有空格...", message_configs);
        return
      }
      $.ajax({
        type: "POST", url: url, data: {
          username: a1, password: b2, password2: c3, yanzheng: d4, submit: e5
        }, dataType: "json", success: function (result){
          if (result.message.type === "success") {
            Qmsg.success(result.message.data, message_configs);
          } else
            if (result.message.type === "warning") {
              Qmsg.warning(result.message.data, message_configs);
            } else
              if (result.message.type === "info") {
                Qmsg.info(result.message.data, message_configs);
              } else
                if (result.message.type === "loading") {
                  Qmsg.loading(result.message.data, message_configs);
                } else
                  if (result.message.type === "error") {
                    Qmsg.error(result.message.data, message_configs);
                    $('input[name="yanzheng"]').val("");
                    document.getElementById('img_yz').src = 'zdmsl<{$dada.siteurl}>zdmsl_dada/yanzheng.php';
                  }
          if (result.message.go_url.trim()) {
            setTimeout(function (){
              location.href = result.message.go_url.trim();
            }, 1000);
          }
        }, error: function (){
          Qmsg.error("网络服务异常，请稍后重试...", message_configs);
        }
      });
    }
  </script>
  zdmsl<{if $login.state == "zc" || $login.state == "wj" }>
  <script>
    function mail_get(url){
      var message_configs = {};
      var a1 = document.getElementsByName("username")[0].value.trim();
      var b2 = document.getElementsByName("password")[0].value.trim();
      var c3 = document.getElementsByName("password2")[0].value.trim();
      var e5 = document.getElementsByName("submit")[0].value.trim();
      if (!a1) {
        Qmsg.info("请输入用户名或邮箱...", message_configs);
        return;
      } else
        if (!b2) {
          Qmsg.info("请输入密码...", message_configs);
          return;
        } else
          if (!c3) {
            Qmsg.info("请再次输入密码...", message_configs);
            return;
          }
      var abcd = a1 + b2 + c3;
      if (/\s/.test(abcd)) {
        Qmsg.error("请不要带有空格...", message_configs);
        return
      }
      var v = document.getElementsByName("username")[0].value.trim();
      if (v) {
        var emailRegex = /zdmsl<{if $login.state !== 'wj' }>^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$zdmsl<{else}>(.*)zdmsl<{/if}>/;
      if (emailRegex.test(v)) {
        $.ajax({
          type: "POST", url: url, data: {
            mail: v, submit: e5
          }, dataType: "json", success: function (result){
            if (result.message.type === "success") {
              Qmsg.success(result.message.data, message_configs);
            } else
              if (result.message.type === "warning") {
                Qmsg.warning(result.message.data, message_configs);
              } else
                if (result.message.type === "info") {
                  Qmsg.info(result.message.data, message_configs);
                } else
                  if (result.message.type === "loading") {
                    Qmsg.loading(result.message.data, message_configs);
                  } else
                    if (result.message.type === "error") {
                      Qmsg.error(result.message.data, message_configs);
                    }
            if (result.message.go_url.trim()) {
              setTimeout(function (){
                location.href = result.message.go_url.trim();
              }, 2500);
            }
          }, error: function (){
            Qmsg.error("网络服务异常，请稍后重试...", message_configs);
          }
        });
      } else {
        $('input[name="username"]').val("");
        Qmsg.error("邮箱格式不正确...", message_configs);
      }
    }
    else
    {
      Qmsg.info("请输入您的邮箱...", message_configs);
    }
    }
  </script>
  zdmsl<{/if}>
  <script>
    $(document).keydown(function (event){
      if (event.keyCode === 13) {
        $('input[name="submit"]').triggerHandler('click');
      }
    });
  </script>
</body>
</html>